/* sequence generator, written in C */
/* make sure to free seq_type::seq returned by sequence! */
#ifndef CKE_SEQUENCE_H
#define CKE_SEQUENCE_H

#include <stddef.h>

typedef int (*gen_func) (int x);
typedef struct { size_t len; int *seq } seq_type;

seq_type sequence (gen_func func, int start, int end, int increment);
long int sum (size_t length, int *seq);

#endif
