#include "sequence.h"
#include <stdio.h>
#include <stdlib.h>

static int squared (int n);

int main (int argc, char **argv)
{
  int i;
  seq_type my_seq;

  my_seq = sequence (&squared, 0, 100, 1);

  for (i=0;i<my_seq.len;++i)
    printf ("%d-th\telement of sequence x^2\t= %5.d\n", i, my_seq.seq[i]);

  printf ("Sum of sequence = %ld\n", sum (my_seq.len, my_seq.seq));

  free (my_seq.seq);
  return 0;
}

int
squared (int n)
{
  return n * n;
}
